<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__ble__keys__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_ble_keys_t</compoundname>
    <includes local="no">wiced_bt_dev.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__ble__keys__t_1acb3d7f48cd997b4d5880e8b95a2482a7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga3081047eede654f70f0bf771e34e47a8">BT_OCTET16</ref></type>
        <definition>BT_OCTET16 wiced_bt_ble_keys_t::irk</definition>
        <argsstring />
        <name>irk</name>
        <briefdescription>
<para>peer diverified identity root </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="848" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="848" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1a029e729d2dcc1792b42e8b6840384c1e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga3081047eede654f70f0bf771e34e47a8">BT_OCTET16</ref></type>
        <definition>BT_OCTET16 wiced_bt_ble_keys_t::pltk</definition>
        <argsstring />
        <name>pltk</name>
        <briefdescription>
<para>peer long term key </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="849" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="849" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1aa843535d5412617c82701e6e382db5a3" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga3081047eede654f70f0bf771e34e47a8">BT_OCTET16</ref></type>
        <definition>BT_OCTET16 wiced_bt_ble_keys_t::pcsrk</definition>
        <argsstring />
        <name>pcsrk</name>
        <briefdescription>
<para>peer SRK peer device used to secured sign local data </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="850" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="850" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1ac5f336ffbbc67c36833947ef0eeffda8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga3081047eede654f70f0bf771e34e47a8">BT_OCTET16</ref></type>
        <definition>BT_OCTET16 wiced_bt_ble_keys_t::lltk</definition>
        <argsstring />
        <name>lltk</name>
        <briefdescription>
<para>local long term key </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="852" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="852" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1a686bc84601157a39331938b78d2d1668" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga3081047eede654f70f0bf771e34e47a8">BT_OCTET16</ref></type>
        <definition>BT_OCTET16 wiced_bt_ble_keys_t::lcsrk</definition>
        <argsstring />
        <name>lcsrk</name>
        <briefdescription>
<para>local SRK peer device used to secured sign local data </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="853" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="853" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1ab99c79cd2bea9e7435cef4c08462f207" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga0e431488061406df282f0bf6d1c983a7">BT_OCTET8</ref></type>
        <definition>BT_OCTET8 wiced_bt_ble_keys_t::rand</definition>
        <argsstring />
        <name>rand</name>
        <briefdescription>
<para>random vector for LTK generation </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="855" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="855" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1a511938917c8b06f459669f3ce40e66fb" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_ble_keys_t::ediv</definition>
        <argsstring />
        <name>ediv</name>
        <briefdescription>
<para>LTK diversifier of this slave device. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="856" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="856" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1a46b7da7405e0f7938d8cd78581dbbc85" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_ble_keys_t::div</definition>
        <argsstring />
        <name>div</name>
        <briefdescription>
<para>local DIV to generate local LTK=d1(ER,DIV,0) and CSRK=d1(ER,DIV,1) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="857" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="857" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1ae12ce851ce60184837219092db590571" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_ble_keys_t::sec_level</definition>
        <argsstring />
        <name>sec_level</name>
        <briefdescription>
<para>local pairing security level </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="858" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="858" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1a2b936133c85bf32a7096c67e409a2b4d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_ble_keys_t::key_size</definition>
        <argsstring />
        <name>key_size</name>
        <briefdescription>
<para>key size of the LTK delivered to peer device </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="859" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="859" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1a610a14fb1b80dd98fa56873a60ed81e0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_ble_keys_t::srk_sec_level</definition>
        <argsstring />
        <name>srk_sec_level</name>
        <briefdescription>
<para>security property of peer SRK for this device </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="860" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="860" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1ab4071e19db249166f494869b5b93a941" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_ble_keys_t::local_csrk_sec_level</definition>
        <argsstring />
        <name>local_csrk_sec_level</name>
        <briefdescription>
<para>security property of local CSRK for this device </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="861" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="861" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1a87b99ee9418aae31452ecf8c933aa45b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_ble_keys_t::counter</definition>
        <argsstring />
        <name>counter</name>
        <briefdescription>
<para>peer sign counter for verifying rcv signed cmd </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="863" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="863" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__keys__t_1ac920c81a237a75dceb059783801c2710" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_ble_keys_t::local_counter</definition>
        <argsstring />
        <name>local_counter</name>
        <briefdescription>
<para>local sign counter for sending signed write cmd </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="864" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="864" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Paired device BLE Keys. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="865" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="846" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="847" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1a87b99ee9418aae31452ecf8c933aa45b" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>counter</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1a46b7da7405e0f7938d8cd78581dbbc85" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>div</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1a511938917c8b06f459669f3ce40e66fb" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>ediv</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1acb3d7f48cd997b4d5880e8b95a2482a7" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>irk</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1a2b936133c85bf32a7096c67e409a2b4d" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>key_size</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1a686bc84601157a39331938b78d2d1668" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>lcsrk</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1ac5f336ffbbc67c36833947ef0eeffda8" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>lltk</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1ac920c81a237a75dceb059783801c2710" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>local_counter</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1ab4071e19db249166f494869b5b93a941" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>local_csrk_sec_level</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1aa843535d5412617c82701e6e382db5a3" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>pcsrk</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1a029e729d2dcc1792b42e8b6840384c1e" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>pltk</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1ab99c79cd2bea9e7435cef4c08462f207" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>rand</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1ae12ce851ce60184837219092db590571" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>sec_level</name></member>
      <member prot="public" refid="structwiced__bt__ble__keys__t_1a610a14fb1b80dd98fa56873a60ed81e0" virt="non-virtual"><scope>wiced_bt_ble_keys_t</scope><name>srk_sec_level</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>